|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Functions
Fault Configuration
Fault Monitor

Contains functions that initialize, execute and handles the power supply fault. More...

Collaboration diagram for Fault Configuration:

## Files
file | fault.c
| Contains fault functions including the fault handler, fault object initialization and fault execution.
file | fault.h
| Contains public fault functions.
file | fault_comm_interface.c
| Contains API functions for fault protection.
file | fault_comm_interface.h
| Contains API functions for fault protection.

## Functions
void | Fault_Handler (void)
| Handles the fault trip by turning off the power control switching.
void | Fault_Initialize (void)
| Initialize the fault objects.
void | Fault_Execute (void)
| Executes the fault handlers.
void | Fault_Reset (void)
| Clears the fault object flag bits.
static void | Fault_EnableShortCircuitProtection (void)
| Enable Short circuit hardware protection.
void | Fault_Execute_100ms (void)
| Fault evaluation for Temperature and other slow fault detection executed every 100ms.

## Detailed Description

This document covers the fault initialization, the fault execute function, and the fault handler.

## Function Documentation

## ◆ Fault_EnableShortCircuitProtection()

static void Fault_EnableShortCircuitProtection | ( | void |  | ) |
| static

Returns
  void

This function setup the short circuit protection threshold and turns on the DAC (Digital-to-Analog) module. This hardware protection use Comparator DACs to detect short circuit.

Definition at line 237 of file fault.c.

Here is the caller graph for this function:

## ◆ Fault_Execute()

void Fault_Execute | ( | void |  | ) |

Returns
  void

This function evaluates if any of the fault objects has been tripped. When fault detection occurs, the power converter will shutdown thus turn-off the power converter.

Definition at line 115 of file fault.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Fault_Execute_100ms()

void Fault_Execute_100ms | ( | void |  | ) |

Returns
  void

This function checks if the board temperature is within the nominal operating range. When value exceeds the limit, the power control can trip or perform temperature derating for temperature fault.

Definition at line 263 of file fault.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Fault_Handler()

void Fault_Handler | ( | void |  | ) |

Returns
  void

This function handles the occurence of fault when one of the fault condition trips. It shuts down the operation of the power control, set the FaultActive bit and clear the Running bit indicating that power converter has been turned-off. A fault pin is also set to low to blocked the PWM signal as a hardware protection.

Definition at line 41 of file fault.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Fault_Initialize()

void Fault_Initialize | ( | void |  | ) |

Returns
  void

This function initializes the fault objects following each respective fault thresholds.

Definition at line 65 of file fault.c.

Here is the call graph for this function:

## ◆ Fault_Reset()

void Fault_Reset | ( | void |  | ) |

Returns
  void

This function clears the fault status bits for Fault Active and Fault Latched. A fault pin is also drive to high to allow PWM signal drive.

Definition at line 200 of file fault.c.

Here is the caller graph for this function: